nrpe编译出错 无法安装nrpe

shuige 发布于 2013/04/28 15:14
阅读 1K+
收藏 0

#make all
cd ./src/; make ; cd ..
make[1]: Entering directory `/usr/local/src/nrpe-2.14/src'
gcc -g -O2 -I/usr/include/openssl -I/usr/include -DHAVE_CONFIG_H -I ../include -I ./../include -o nrpe ./nrpe.c ./utils.c ./acl.c -L/usr/lib64  -lssl -lcryp\
to -lnsl
./nrpe.c: 在函数‘main’中:
./nrpe.c:223: 警告:赋值丢弃了指针目标类型的限定
gcc -g -O2 -I/usr/include/openssl -I/usr/include -DHAVE_CONFIG_H -I ../include -I ./../include -o check_nrpe ./check_nrpe.c ./utils.c -L/usr/lib64  -lssl -l\
crypto -lnsl
./check_nrpe.c: 在函数‘main’中:
./check_nrpe.c:126: 警告:赋值丢弃了指针目标类型的限定
make[1]: Leaving directory `/usr/local/src/nrpe-2.14/src'

*** Compile finished ***

If the NRPE daemon and client compiled without any errors, you
can continue with the installation or upgrade process.

Read the PDF documentation (NRPE.pdf) for information on the next
steps you should take to complete the installation or upgrade.

 补充:openssl 和 openssl-devel 已经安装了 

         修改configure里查询ssl文件的目录 /usr/local/ssl 这个办法也解决不了 求大神解决。。

加载中
返回顶部
顶部